Index: trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java
===================================================================
--- trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java	(revision 11)
+++ trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java	(revision 12)
@@ -2483,42 +2501,42 @@
         			pushBlockToResolveStack(seqList);
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:447:2: ( ( T_VAR syms= blockvarlist[seqList] ( '&' sexpr= expression )? T_COLON )? actionBlockParen[seqList] ( T_SEMICOLON actionBlockParen[seqList] )* )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:447:5: ( T_VAR syms= blockvarlist[seqList] ( '&' sexpr= expression )? T_COLON )? actionBlockParen[seqList] ( T_SEMICOLON actionBlockParen[seqList] )*
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:451:2: ( ( T_VAR syms= blockvarlist[seqList] ( '&' sexpr= expression )? T_COLON )? actionBlockParen[seqList] ( T_SEMICOLON actionBlockParen[seqList] )* )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:451:5: ( T_VAR syms= blockvarlist[seqList] ( '&' sexpr= expression )? T_COLON )? actionBlockParen[seqList] ( T_SEMICOLON actionBlockParen[seqList] )*
             {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:447:5: ( T_VAR syms= blockvarlist[seqList] ( '&' sexpr= expression )? T_COLON )?
-            int alt40=2;
-            final int LA40_0 = input.LA(1);
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:451:5: ( T_VAR syms= blockvarlist[seqList] ( '&' sexpr= expression )? T_COLON )?
+            int alt41=2;
+            final int LA41_0 = input.LA(1);
 
-            if ( (LA40_0==T_VAR) ) {
-                alt40=1;
+            if ( (LA41_0==T_VAR) ) {
+                alt41=1;
             }
-            switch (alt40) {
+            switch (alt41) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:447:6: T_VAR syms= blockvarlist[seqList] ( '&' sexpr= expression )? T_COLON
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:451:6: T_VAR syms= blockvarlist[seqList] ( '&' sexpr= expression )? T_COLON
                     {
-                    match(input,T_VAR,FOLLOW_T_VAR_in_actionBlockSequential1764);
+                    match(input,T_VAR,FOLLOW_T_VAR_in_actionBlockSequential1765);
 
-                    pushFollow(FOLLOW_blockvarlist_in_actionBlockSequential1768);
+                    pushFollow(FOLLOW_blockvarlist_in_actionBlockSequential1769);
                     blockvarlist(seqList);
 
                     state._fsp--;
 
 
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:447:39: ( '&' sexpr= expression )?
-                    int alt39=2;
-                    final int LA39_0 = input.LA(1);
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:451:39: ( '&' sexpr= expression )?
+                    int alt40=2;
+                    final int LA40_0 = input.LA(1);
 
-                    if ( (LA39_0==116) ) {
-                        alt39=1;
+                    if ( (LA40_0==116) ) {
+                        alt40=1;
                     }
-                    switch (alt39) {
+                    switch (alt40) {
                         case 1 :
-                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:447:40: '&' sexpr= expression
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:451:40: '&' sexpr= expression
                             {
-                            match(input,116,FOLLOW_116_in_actionBlockSequential1772);
+                            match(input,116,FOLLOW_116_in_actionBlockSequential1773);
 
-                            pushFollow(FOLLOW_expression_in_actionBlockSequential1776);
+                            pushFollow(FOLLOW_expression_in_actionBlockSequential1777);
                             sexpr=expression();
 
                             state._fsp--;
@@ -2532,7 +2550,7 @@
                     }
 
 
-                    match(input,T_COLON,FOLLOW_T_COLON_in_actionBlockSequential1783);
+                    match(input,T_COLON,FOLLOW_T_COLON_in_actionBlockSequential1784);
 
                     }
                     break;
@@ -2540,30 +2558,30 @@
             }
 
 
-            pushFollow(FOLLOW_actionBlockParen_in_actionBlockSequential1792);
+            pushFollow(FOLLOW_actionBlockParen_in_actionBlockSequential1793);
             actionBlockParen(seqList);
 
             state._fsp--;
 
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:448:30: ( T_SEMICOLON actionBlockParen[seqList] )*
-            loop41:
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:452:30: ( T_SEMICOLON actionBlockParen[seqList] )*
+            loop42:
             do {
-                int alt41=2;
-                final int LA41_0 = input.LA(1);
+                int alt42=2;
+                final int LA42_0 = input.LA(1);
 
-                if ( (LA41_0==T_SEMICOLON) ) {
-                    alt41=1;
+                if ( (LA42_0==T_SEMICOLON) ) {
+                    alt42=1;
                 }
 
 
-                switch (alt41) {
+                switch (alt42) {
             	case 1 :
-            	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:448:31: T_SEMICOLON actionBlockParen[seqList]
+            	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:452:31: T_SEMICOLON actionBlockParen[seqList]
             	    {
-            	    match(input,T_SEMICOLON,FOLLOW_T_SEMICOLON_in_actionBlockSequential1796);
+            	    match(input,T_SEMICOLON,FOLLOW_T_SEMICOLON_in_actionBlockSequential1797);
 
-            	    pushFollow(FOLLOW_actionBlockParen_in_actionBlockSequential1798);
+            	    pushFollow(FOLLOW_actionBlockParen_in_actionBlockSequential1799);
             	    actionBlockParen(seqList);
 
             	    state._fsp--;
@@ -2573,7 +2591,7 @@
             	    break;
 
             	default :
-            	    break loop41;
+            	    break loop42;
                 }
             } while (true);
 
@@ -2597,46 +2615,46 @@
 
 
     // $ANTLR start "actionBlockParen"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:453:1: actionBlockParen[Block top] : ( T_LPAREN actionBlock[top] T_RPAREN | anonymousOrNamedAction[top] );
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:457:1: actionBlockParen[Block top] : ( T_LPAREN actionBlock[top] T_RPAREN | anonymousOrNamedAction[top] );
     public final void actionBlockParen(Block top) throws RecognitionException {
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:454:2: ( T_LPAREN actionBlock[top] T_RPAREN | anonymousOrNamedAction[top] )
-            int alt42=2;
-            final int LA42_0 = input.LA(1);
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:458:2: ( T_LPAREN actionBlock[top] T_RPAREN | anonymousOrNamedAction[top] )
+            int alt43=2;
+            final int LA43_0 = input.LA(1);
 
-            if ( (LA42_0==T_LPAREN) ) {
-                alt42=1;
+            if ( (LA43_0==T_LPAREN) ) {
+                alt43=1;
             }
-            else if ( (LA42_0==T_IDENTIFIER||LA42_0==T_REQUIRES||LA42_0==T_SKIP) ) {
-                alt42=2;
+            else if ( (LA43_0==T_IDENTIFIER||LA43_0==T_REQUIRES||LA43_0==T_SKIP) ) {
+                alt43=2;
             }
             else {
                 final NoViableAltException nvae =
-                    new NoViableAltException("", 42, 0, input);
+                    new NoViableAltException("", 43, 0, input);
 
                 throw nvae;
 
             }
-            switch (alt42) {
+            switch (alt43) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:454:4: T_LPAREN actionBlock[top] T_RPAREN
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:458:4: T_LPAREN actionBlock[top] T_RPAREN
                     {
-                    match(input,T_LPAREN,FOLLOW_T_LPAREN_in_actionBlockParen1822);
+                    match(input,T_LPAREN,FOLLOW_T_LPAREN_in_actionBlockParen1823);
 
-                    pushFollow(FOLLOW_actionBlock_in_actionBlockParen1824);
+                    pushFollow(FOLLOW_actionBlock_in_actionBlockParen1825);
                     actionBlock(top);
 
                     state._fsp--;
 
 
-                    match(input,T_RPAREN,FOLLOW_T_RPAREN_in_actionBlockParen1827);
+                    match(input,T_RPAREN,FOLLOW_T_RPAREN_in_actionBlockParen1828);
 
                     }
                     break;
                 case 2 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:455:4: anonymousOrNamedAction[top]
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:459:4: anonymousOrNamedAction[top]
                     {
-                    pushFollow(FOLLOW_anonymousOrNamedAction_in_actionBlockParen1832);
+                    pushFollow(FOLLOW_anonymousOrNamedAction_in_actionBlockParen1833);
                     anonymousOrNamedAction(top);
 
                     state._fsp--;
@@ -2662,7 +2680,7 @@
 
 
     // $ANTLR start "anonymousOrNamedAction"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:458:1: anonymousOrNamedAction[Block top] : (gcmd= anonymousAction |aname= T_IDENTIFIER ( T_LPAREN m_params= methodCallParams T_RPAREN )? (amap= ( T_FOLDLR | T_FOLDRL ) '(' amapexpr= expression ')' )? | T_SKIP );
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:462:1: anonymousOrNamedAction[Block top] : (gcmd= anonymousAction |aname= T_IDENTIFIER ( T_LPAREN m_params= methodCallParams T_RPAREN )? (amap= ( T_FOLDLR | T_FOLDRL ) '(' amapexpr= expression ')' )? | T_SKIP );
     public final void anonymousOrNamedAction(Block top) throws RecognitionException {
         Token aname=null;
         Token amap=null;
@@ -2674,37 +2692,37 @@
 
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:459:2: (gcmd= anonymousAction |aname= T_IDENTIFIER ( T_LPAREN m_params= methodCallParams T_RPAREN )? (amap= ( T_FOLDLR | T_FOLDRL ) '(' amapexpr= expression ')' )? | T_SKIP )
-            int alt45=3;
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:463:2: (gcmd= anonymousAction |aname= T_IDENTIFIER ( T_LPAREN m_params= methodCallParams T_RPAREN )? (amap= ( T_FOLDLR | T_FOLDRL ) '(' amapexpr= expression ')' )? | T_SKIP )
+            int alt46=3;
             switch ( input.LA(1) ) {
             case T_REQUIRES:
                 {
-                alt45=1;
+                alt46=1;
                 }
                 break;
             case T_IDENTIFIER:
                 {
-                alt45=2;
+                alt46=2;
                 }
                 break;
             case T_SKIP:
                 {
-                alt45=3;
+                alt46=3;
                 }
                 break;
             default:
                 final NoViableAltException nvae =
-                    new NoViableAltException("", 45, 0, input);
+                    new NoViableAltException("", 46, 0, input);
 
                 throw nvae;
 
             }
 
-            switch (alt45) {
+            switch (alt46) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:459:4: gcmd= anonymousAction
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:463:4: gcmd= anonymousAction
                     {
-                    pushFollow(FOLLOW_anonymousAction_in_anonymousOrNamedAction1849);
+                    pushFollow(FOLLOW_anonymousAction_in_anonymousOrNamedAction1850);
                     gcmd=anonymousAction();
 
                     state._fsp--;
@@ -2715,30 +2733,30 @@
                     }
                     break;
                 case 2 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:460:4: aname= T_IDENTIFIER ( T_LPAREN m_params= methodCallParams T_RPAREN )? (amap= ( T_FOLDLR | T_FOLDRL ) '(' amapexpr= expression ')' )?
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:464:4: aname= T_IDENTIFIER ( T_LPAREN m_params= methodCallParams T_RPAREN )? (amap= ( T_FOLDLR | T_FOLDRL ) '(' amapexpr= expression ')' )?
                     {
-                    aname=(Token)match(input,T_IDENTIFIER,FOLLOW_T_IDENTIFIER_in_anonymousOrNamedAction1858);
+                    aname=(Token)match(input,T_IDENTIFIER,FOLLOW_T_IDENTIFIER_in_anonymousOrNamedAction1859);
 
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:461:11: ( T_LPAREN m_params= methodCallParams T_RPAREN )?
-                    int alt43=2;
-                    final int LA43_0 = input.LA(1);
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:465:11: ( T_LPAREN m_params= methodCallParams T_RPAREN )?
+                    int alt44=2;
+                    final int LA44_0 = input.LA(1);
 
-                    if ( (LA43_0==T_LPAREN) ) {
-                        alt43=1;
+                    if ( (LA44_0==T_LPAREN) ) {
+                        alt44=1;
                     }
-                    switch (alt43) {
+                    switch (alt44) {
                         case 1 :
-                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:461:12: T_LPAREN m_params= methodCallParams T_RPAREN
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:465:12: T_LPAREN m_params= methodCallParams T_RPAREN
                             {
-                            match(input,T_LPAREN,FOLLOW_T_LPAREN_in_anonymousOrNamedAction1872);
+                            match(input,T_LPAREN,FOLLOW_T_LPAREN_in_anonymousOrNamedAction1873);
 
-                            pushFollow(FOLLOW_methodCallParams_in_anonymousOrNamedAction1877);
+                            pushFollow(FOLLOW_methodCallParams_in_anonymousOrNamedAction1878);
                             m_params=methodCallParams();
 
                             state._fsp--;
 
 
-                            match(input,T_RPAREN,FOLLOW_T_RPAREN_in_anonymousOrNamedAction1879);
+                            match(input,T_RPAREN,FOLLOW_T_RPAREN_in_anonymousOrNamedAction1880);
 
                             }
                             break;
@@ -2746,16 +2764,16 @@
                     }
 
 
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:462:11: (amap= ( T_FOLDLR | T_FOLDRL ) '(' amapexpr= expression ')' )?
-                    int alt44=2;
-                    final int LA44_0 = input.LA(1);
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:466:11: (amap= ( T_FOLDLR | T_FOLDRL ) '(' amapexpr= expression ')' )?
+                    int alt45=2;
+                    final int LA45_0 = input.LA(1);
 
-                    if ( ((LA44_0 >= T_FOLDLR && LA44_0 <= T_FOLDRL)) ) {
-                        alt44=1;
+                    if ( ((LA45_0 >= T_FOLDLR && LA45_0 <= T_FOLDRL)) ) {
+                        alt45=1;
                     }
-                    switch (alt44) {
+                    switch (alt45) {
                         case 1 :
-                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:462:12: amap= ( T_FOLDLR | T_FOLDRL ) '(' amapexpr= expression ')'
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:466:12: amap= ( T_FOLDLR | T_FOLDRL ) '(' amapexpr= expression ')'
                             {
                             amap=input.LT(1);
 
@@ -2769,15 +2787,15 @@
                             }
 
 
-                            match(input,T_LPAREN,FOLLOW_T_LPAREN_in_anonymousOrNamedAction1903);
+                            match(input,T_LPAREN,FOLLOW_T_LPAREN_in_anonymousOrNamedAction1904);
 
-                            pushFollow(FOLLOW_expression_in_anonymousOrNamedAction1907);
+                            pushFollow(FOLLOW_expression_in_anonymousOrNamedAction1908);
                             amapexpr=expression();
 
                             state._fsp--;
 
 
-                            match(input,T_RPAREN,FOLLOW_T_RPAREN_in_anonymousOrNamedAction1909);
+                            match(input,T_RPAREN,FOLLOW_T_RPAREN_in_anonymousOrNamedAction1910);
 
                             }
                             break;
@@ -2790,9 +2808,9 @@
                     }
                     break;
                 case 3 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:464:4: T_SKIP
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:468:4: T_SKIP
                     {
-                    match(input,T_SKIP,FOLLOW_T_SKIP_in_anonymousOrNamedAction1920);
+                    match(input,T_SKIP,FOLLOW_T_SKIP_in_anonymousOrNamedAction1921);
 
                     addSkipStatementToBlockList(top);
 
@@ -2816,36 +2834,36 @@
 
 
     // $ANTLR start "blockvarlist"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:468:1: blockvarlist[Block seqList] : blockvar[seqList] ( T_SEMICOLON blockvar[seqList] )* ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:472:1: blockvarlist[Block seqList] : blockvar[seqList] ( T_SEMICOLON blockvar[seqList] )* ;
     public final void blockvarlist(Block seqList) throws RecognitionException {
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:469:2: ( blockvar[seqList] ( T_SEMICOLON blockvar[seqList] )* )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:469:4: blockvar[seqList] ( T_SEMICOLON blockvar[seqList] )*
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:473:2: ( blockvar[seqList] ( T_SEMICOLON blockvar[seqList] )* )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:473:4: blockvar[seqList] ( T_SEMICOLON blockvar[seqList] )*
             {
-            pushFollow(FOLLOW_blockvar_in_blockvarlist1936);
+            pushFollow(FOLLOW_blockvar_in_blockvarlist1937);
             blockvar(seqList);
 
             state._fsp--;
 
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:469:23: ( T_SEMICOLON blockvar[seqList] )*
-            loop46:
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:473:23: ( T_SEMICOLON blockvar[seqList] )*
+            loop47:
             do {
-                int alt46=2;
-                final int LA46_0 = input.LA(1);
+                int alt47=2;
+                final int LA47_0 = input.LA(1);
 
-                if ( (LA46_0==T_SEMICOLON) ) {
-                    alt46=1;
+                if ( (LA47_0==T_SEMICOLON) ) {
+                    alt47=1;
                 }
 
 
-                switch (alt46) {
+                switch (alt47) {
             	case 1 :
-            	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:469:24: T_SEMICOLON blockvar[seqList]
+            	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:473:24: T_SEMICOLON blockvar[seqList]
             	    {
-            	    match(input,T_SEMICOLON,FOLLOW_T_SEMICOLON_in_blockvarlist1941);
+            	    match(input,T_SEMICOLON,FOLLOW_T_SEMICOLON_in_blockvarlist1942);
 
-            	    pushFollow(FOLLOW_blockvar_in_blockvarlist1943);
+            	    pushFollow(FOLLOW_blockvar_in_blockvarlist1944);
             	    blockvar(seqList);
 
             	    state._fsp--;
@@ -2855,7 +2873,7 @@
             	    break;
 
             	default :
-            	    break loop46;
+            	    break loop47;
                 }
             } while (true);
 
@@ -2878,7 +2896,7 @@
 
 
     // $ANTLR start "blockvar"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:472:1: blockvar[Block seqList] : varname= T_IDENTIFIER T_COLON aType= complexType ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:476:1: blockvar[Block seqList] : varname= T_IDENTIFIER T_COLON aType= complexType ;
     public final void blockvar(Block seqList) throws RecognitionException {
         Token varname=null;
         Type aType =null;
@@ -2885,14 +2903,14 @@
 
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:473:2: (varname= T_IDENTIFIER T_COLON aType= complexType )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:473:5: varname= T_IDENTIFIER T_COLON aType= complexType
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:477:2: (varname= T_IDENTIFIER T_COLON aType= complexType )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:477:5: varname= T_IDENTIFIER T_COLON aType= complexType
             {
-            varname=(Token)match(input,T_IDENTIFIER,FOLLOW_T_IDENTIFIER_in_blockvar1963);
+            varname=(Token)match(input,T_IDENTIFIER,FOLLOW_T_IDENTIFIER_in_blockvar1964);
 
-            match(input,T_COLON,FOLLOW_T_COLON_in_blockvar1966);
+            match(input,T_COLON,FOLLOW_T_COLON_in_blockvar1967);
 
-            pushFollow(FOLLOW_complexType_in_blockvar1970);
+            pushFollow(FOLLOW_complexType_in_blockvar1971);
             aType=complexType();
 
             state._fsp--;
@@ -2918,48 +2936,55 @@
 
 
     // $ANTLR start "actionBody"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:483:1: actionBody[Block top] returns [Block result] : actionBodyParallel[result] ( T_PRIO actionBodyParallel[result] )? ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:487:1: actionBody[Block top] returns [Block result] : actionBodyParallel[result] ( T_PRIO actionBodyParallel[result] )* ;
     public final Block actionBody(Block top) throws RecognitionException {
         Block result = null;
 
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:485:2: ( actionBodyParallel[result] ( T_PRIO actionBodyParallel[result] )? )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:485:4: actionBodyParallel[result] ( T_PRIO actionBodyParallel[result] )?
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:489:2: ( actionBodyParallel[result] ( T_PRIO actionBodyParallel[result] )* )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:489:4: actionBodyParallel[result] ( T_PRIO actionBodyParallel[result] )*
             {
             result = createPrioBlock(top); pushBlockToResolveStack(result);
 
-            pushFollow(FOLLOW_actionBodyParallel_in_actionBody2005);
+            pushFollow(FOLLOW_actionBodyParallel_in_actionBody2006);
             actionBodyParallel(result);
 
             state._fsp--;
 
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:486:30: ( T_PRIO actionBodyParallel[result] )?
-            int alt47=2;
-            final int LA47_0 = input.LA(1);
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:490:30: ( T_PRIO actionBodyParallel[result] )*
+            loop48:
+            do {
+                int alt48=2;
+                final int LA48_0 = input.LA(1);
 
-            if ( (LA47_0==T_PRIO) ) {
-                alt47=1;
-            }
-            switch (alt47) {
-                case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:486:31: T_PRIO actionBodyParallel[result]
-                    {
-                    match(input,T_PRIO,FOLLOW_T_PRIO_in_actionBody2009);
+                if ( (LA48_0==T_PRIO) ) {
+                    alt48=1;
+                }
 
-                    pushFollow(FOLLOW_actionBodyParallel_in_actionBody2011);
-                    actionBodyParallel(result);
 
-                    state._fsp--;
+                switch (alt48) {
+            	case 1 :
+            	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:490:31: T_PRIO actionBodyParallel[result]
+            	    {
+            	    match(input,T_PRIO,FOLLOW_T_PRIO_in_actionBody2010);
 
+            	    pushFollow(FOLLOW_actionBodyParallel_in_actionBody2012);
+            	    actionBodyParallel(result);
 
-                    }
-                    break;
+            	    state._fsp--;
 
-            }
 
+            	    }
+            	    break;
 
+            	default :
+            	    break loop48;
+                }
+            } while (true);
+
+
             }
 
         }
@@ -2979,7 +3004,7 @@
 
 
     // $ANTLR start "actionBodyParallel"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:491:1: actionBodyParallel[Block top] returns [Block result] : actionBodySequential[result] ( T_NONDET olst= actionBodySequential[result] )* ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:495:1: actionBodyParallel[Block top] returns [Block result] : actionBodySequential[result] ( T_NONDET olst= actionBodySequential[result] )* ;
     public final Block actionBodyParallel(Block top) throws RecognitionException {
         Block result = null;
 
@@ -2988,8 +3013,8 @@
 
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:493:2: ( actionBodySequential[result] ( T_NONDET olst= actionBodySequential[result] )* )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:493:4: actionBodySequential[result] ( T_NONDET olst= actionBodySequential[result] )*
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:497:2: ( actionBodySequential[result] ( T_NONDET olst= actionBodySequential[result] )* )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:497:4: actionBodySequential[result] ( T_NONDET olst= actionBodySequential[result] )*
             {
             result = createNondetBlock(top); pushBlockToResolveStack(result);
 
@@ -2999,20 +3024,20 @@
             state._fsp--;
 
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:495:3: ( T_NONDET olst= actionBodySequential[result] )*
-            loop48:
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:499:3: ( T_NONDET olst= actionBodySequential[result] )*
+            loop49:
             do {
-                int alt48=2;
-                final int LA48_0 = input.LA(1);
+                int alt49=2;
+                final int LA49_0 = input.LA(1);
 
-                if ( (LA48_0==T_NONDET) ) {
-                    alt48=1;
+                if ( (LA49_0==T_NONDET) ) {
+                    alt49=1;
                 }
 
 
-                switch (alt48) {
+                switch (alt49) {
             	case 1 :
-            	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:495:4: T_NONDET olst= actionBodySequential[result]
+            	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:499:4: T_NONDET olst= actionBodySequential[result]
             	    {
             	    match(input,T_NONDET,FOLLOW_T_NONDET_in_actionBodyParallel2052);
 
@@ -3026,7 +3051,7 @@
             	    break;
 
             	default :
-            	    break loop48;
+            	    break loop49;
                 }
             } while (true);
 
@@ -3050,7 +3075,7 @@
 
 
     // $ANTLR start "actionBodySequential"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:502:1: actionBodySequential[Block top] returns [SeqBlock result] : ( T_VAR syms= blockvarlist[result] ( '&' sexpr= expression )? T_COLON )? actionBodyParen[result] ( T_SEMICOLON actionBodyParen[result] )* ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:506:1: actionBodySequential[Block top] returns [SeqBlock result] : ( T_VAR syms= blockvarlist[result] ( '&' sexpr= expression )? T_COLON )? actionBodyParen[result] ( T_SEMICOLON actionBodyParen[result] )* ;
     public final SeqBlock actionBodySequential(Block top) throws RecognitionException {
         SeqBlock result = null;
 
